QGIS Application - Bug report #17500
Crash when deleting fields on joined layer
2017-11-20 02:10 PM - Ivan Katanovi¢

Status: Closed
Priority: Normal
Assignee:

Category: GUI

Affected QGIS version:2.18.14
Operating System: Kubuntu 16.04
Pull Request or Patch supplied:
Crashes QGIS or corruptsdata:

Regression?: No
Easy fix?: No
Resolution: worksforme

Copied to github as #: 25397

Description

Qgis crashes when trying to remove fields from the table on layer created with "Join attributes by location".

Steps to reproduce:

1. Load 2 layers and run "Join attributes by location" algorithm on them.

2. Make created joined layer editable and open attribute table.

3. Try to delete few fields from a table.
4. Qgqis crashes.

Backtrace is provided in the attachment.

History

#1 - 2017-11-21 01:49 PM - Giovanni Manghi
- Status changed from Open to Feedback

Tried on the same platform and QGIS master and no issues here. Does it work ok on master for you?

#2 - 2018-02-22 02:43 PM - Giovanni Manghi
- Resolution set to worksforme

- Status changed from Feedback to Closed

Closing for lack of feedback, please reopen if necessary.
